%global _missing_doc_files_terminate_build 0

Summary:	Data Type Library
Name:		libeina
Version:	0.9.9.49898
Release:	1%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://www.enlightenment.org/
Source:		http://download.enlightenment.org/snapshots/2010-06-27/eina-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	chrpath pkgconfig doxygen check-devel

%description
Eina is a multi-platform library that provides optimized data types 
and useful tools for projects.

%package	devel
Summary:	Eina headers, documentation and test programs
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Headers, test programs and documentation for %{name}.

%prep
%setup -q -n eina-%{version}
# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure --disable-static
## Tested export for tests
## export LD_LIBRARY_PATH=$( pwd )/src/lib/.libs/libeina.so

make %{?_smp_mflags}
make doc %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove unfinished manpages
find doc/man/man3 -size -100c -delete

for l in todo %{name}.dox
do
 rm -f doc/man/man3/$l.3
done 

mkdir -p %{buildroot}%{_mandir}/man3
install -Dpm0644 doc/man/man3/* %{buildroot}%{_mandir}/man3
# remove libtool archive along with stripping
find %{buildroot}/ -type f  -iname '*.la' -exec rm {} \;
find %{buildroot}/ -type f  -iname '*.a' -exec rm {} \;

## Can be enabled when upstream fixed the tests
## needs --enable-tests with %%configure
## %check
## make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
# No ChangeLog included. Zero byte.
%doc AUTHORS COPYING
%{_libdir}/*.so.*
#%{_libdir}/eina

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.49898-1
- libeina 0.9.9.49898 snapshot release

* Fri Jun 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.49539-1
- libeina 0.9.9.49539 snapshot release

* Tue Feb 23 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-6
- Disabled tests again until they are fixed

* Mon Feb 22 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-5
- Added missing BR doxygen check

* Sun Feb 21 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-4
- added Requires for -devel
- corrected license
- enabled tests

* Fri Feb 19 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-3
- name changed from eina-0 to libeina
- spec fixes

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-2
- added missing man pages

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.9.063-1
- Initial Fedora release

